chiark / gitweb /
cryptsetup: downgrade world-writable warning again
[elogind.git] / src / cryptsetup / cryptsetup-generator.c
index 7eae1c8..81b7708 100644 (file)
@@ -377,8 +377,12 @@ int main(int argc, char *argv[]) {
                         goto next;
                 }
 
+                /* If we readd support for specifying passphrases
+                 * directly in crypttabe we should upgrade the warning
+                 * below, though possibly only if a passphrase is
+                 * specified directly. */
                 if (st.st_mode & 0005)
-                        log_warning("/etc/crypttab is world-readable. This is usually not a good idea.");
+                        log_debug("/etc/crypttab is world-readable. This is usually not a good idea.");
 
                 for (;;) {
                         char line[LINE_MAX], *l;